#!/bin/bash

#the only argument it requires is $1 =${LCG_LOCATION}/etc/tankspark/lcgtankspark.conf

#setting environment variable WN specific: no way to put thse variables in to the central configuration file. It's up to the site manager deciding whether a given WN has or not a file system shared

LCG_LOCATION=${LCG_LOCATION:=/opt/lcg}
in_file=$1

export EDG_FLAG_DIR=`sed -n '/flagdir=/p' $in_file | sed 's/flagdir=//'`
export EXP_SW_VO_DIR=`sed -n '/expsoftdir=/p' $in_file | sed 's/expsoftdir=//'`
export LOCAL_INSTALL_DIR=`sed -n '/explocdir=/p' $in_file  | sed 's/explocdir=//'`


${LCG_LOCATION}/etc/tankspark/fill_Sparkconf.sh $1
#it creates the local_install dir and gives the right ownership
if [ $EXP_SW_VO_DIR == "." ]; then 
  ${LCG_LOCATION}/etc/tankspark/create_dir.sh $LOCAL_INSTALL_DIR $1
fi
#it creates the flag dir and gives the right ownership
${LCG_LOCATION}/etc/tankspark/create_dir.sh $EDG_FLAG_DIR $1
${LCG_LOCATION}/etc/tankspark/write_crontab.sh $1
