#!/bin/bash

LCG_LOCATION=${LCG_LOCATION:=/opt/lcg}
in_file=$1
tankuser=`sed -n '/dbuser=/p' $in_file | sed 's/dbuser=//'`
tankpass=`sed -n '/dbpasswd=/p' $in_file | sed 's/dbpasswd=//'`
mkdir -p ${LCG_LOCATION}/etc/tankspark
CONF="${LCG_LOCATION}/etc/tankspark/command.sql"
if [ -f $CONF  ]; then
    rm $CONF
fi
echo "create database wn_list;">>$CONF
echo "use wn_list;">>$CONF
echo "grant all on wn_list.* to '"$tankuser"'@'localhost' identified by '"$tankpass"';">>$CONF
echo "flush privileges;" >>$CONF
echo "create table hosts (name varchar(50), ip_addr varchar(20), status varchar(5), last_upd timestamp, add_time timestamp, rem_time timestamp, type varchar(20));">>$CONF
echo "create table flags (value varchar(100), status varchar(5), owner varchar(10), add_time timestamp, rem_time timestamp, e_mail varchar(50), guid varchar(50), counter int);">>$CONF
echo "create table monitors (user varchar(100),status varchar(10), vo varchar(20), share_status varchar(5), counter_node int(11));">>$CONF
echo "create table failures (guid varchar(50),hostname varchar(50),message varchar(255));">>$CONF
echo "create table success (guid varchar(50),hostname varchar(50));">>$CONF
#export IFS=","
line=`sed -n '/vo=/p' $in_file | sed 's/vo=//'`
for VO in $line
do 
echo "insert into monitors values(\"${VO}sgm\",\"DONE\",\"${VO}\",\"free\",11111);">>$CONF
done 



