#!/bin/bash
in_file=$1
ROOT_DIR=`sed -n '/rsyncrep=/p' $in_file  | sed 's/rsyncrep=//'`
#export IFS=","

line=`sed -n '/vo=/p' $in_file | sed 's/vo=//'`

for VO in $line
  do  
  if [ -d $ROOT_DIR/${VO} ]; then
	  #if the directory is there 
      echo "directory $ROOT_DIR/${VO} already existing"
  else 
	 #creates the group and the user
      group=`grep -c ${VO} /etc/group`
      if [ $group -eq "0" ]; then 
	  #if group doesn't exist then the user doesn't
	  echo "the group ${VO} doesn't exist"
      else
	  users=`grep -c ${VO}sgm /etc/passwd`
	  if [ $users -eq "0" ]; then 
	      echo "the user ${VO}sgm doesn't exist"
	  else
	      mkdir -p $ROOT_DIR/${VO}
	      chown ${VO}"sgm":${VO} $ROOT_DIR/${VO}
	      chmod a+wr $ROOT_DIR/${VO}
	  fi
      fi
  fi
done  
