#!/bin/bash
in_file=$1
CONF=`sed -n '/rsyncconf=/p' $in_file | sed 's/rsyncconf=//'`
ROOT_DIR=`sed -n '/rsyncrep=/p' $in_file  | sed 's/rsyncrep=//'`
if [ -f $CONF  ]; then
    rm $CONF
fi
SE_CLOSE=`sed -n '/se=/p' $in_file | sed 's/se=//'`
SERVER=`sed -n '/ce=/p' $in_file | sed 's/ce=//'`
PORT=`sed -n '/rsyncport=/p' $in_file  | sed 's/rsyncport=//'`
REMOTE_USER=`sed -n '/rsyncuser=/p' $in_file  | sed 's/rsyncuser=//'`
#export IFS=","
#echo " `grep -c vo $in_file`"
line=`sed -n '/vo=/p' $in_file | sed 's/vo=//'`
for VO in $line
do 
    echo "[${VO}]" >> $CONF
    echo "        path=${ROOT_DIR}/${VO}" >> $CONF
    echo "        read only = no" >> $CONF
    echo "        strict modes = no" >> $CONF
done
