#!/bin/bash
in_file=$1
CONF=`sed -n '/sparkconf=/p' $in_file | sed 's/sparkconf=//'`
if [ -f $CONF  ]; then
    rm $CONF
fi
VO_EXP_SWD_DIR=`sed -n '/expsoftdir=/p' $in_file | sed 's/expsoftdir=//'`
FLAGDIR=`sed -n '/flagdir=/p' $in_file | sed 's/flagdir=//'`
LOCDIR=`sed -n '/explocdir=/p' $in_file  | sed 's/explocdir=//'`
AFSP=`sed -n '/afsprincipal=/p' $in_file  | sed 's/afsprincipal=//'`
LIFETIME=`sed -n '/lifetime=/p' $in_file  | sed 's/lifetime=//'`
echo "exp_soft_dir=${VO_EXP_SWD_DIR}" >>$CONF
echo "afs_principal=${AFSP}" >>$CONF
echo "lifetime=${LIFETIME}" >>$CONF
echo "" >>$CONF
#export IFS=","1
#echo " `grep -c vo $in_file`"
line=`sed -n '/vo=/p' $in_file | sed 's/vo=//'`
for VO in $line
do 
echo ${VO}"_locdir="${LOCDIR}/${VO}>>$CONF
echo ${VO}"_flagdir="${FLAGDIR}/${VO}>>$CONF
echo "" >>$CONF
done 


