#!/bin/bash
in_file=$1
CONF=`sed -n '/tankconf=/p' $in_file | sed 's/tankconf=//'`
if [ -f $CONF  ]; then
    rm $CONF
fi
SE_CLOSE=`sed -n '/se=/p' $in_file | sed 's/se=//'`
SERVER=`sed -n '/ce=/p' $in_file | sed 's/ce=//'`
PORT=`sed -n '/rsyncport=/p' $in_file  | sed 's/rsyncport=//'`
REMOTE_USER=`sed -n '/rsyncuser=/p' $in_file  | sed 's/rsyncuser=//'`
DBUSER=`sed -n '/dbuser=/p' $in_file  | sed 's/dbuser=//'`
DBPASSWD=`sed -n '/dbpasswd=/p' $in_file  | sed 's/dbpasswd=//'`
siteCE=`sed -n '/sitename=/p' $in_file  | sed 's/sitename=//'`
ldapport=`sed -n '/ldapport=/p' $in_file  | sed 's/ldapport=//'`
edgVarLoc=`sed -n '/edgVarLoc=/p' $in_file  | sed 's/edgVarLoc=//'`

#export IFS=","
#echo " `grep -c vo $in_file`"
line=`sed -n '/vo=/p' $in_file | sed 's/vo=//'`
for VO in $line
do 
echo ${VO}"_remote_module="$VO>>$CONF
echo ${VO}"_remote_user="${REMOTE_USER} >>$CONF
echo ${VO}"_remote_passwd=" >>$CONF
echo "" >>$CONF
done 
echo >>$CONF
echo "remote_host="$SE_CLOSE  >>$CONF
echo "remote_port="$PORT  >>$CONF
echo "DBuser="${DBUSER} >>$CONF
echo "DBpasswd="${DBPASSWD} >>$CONF
echo "siteCE="${siteCE} >>$CONF
echo "ldapport="${ldapport} >>$CONF
echo "edgVarLoc="${edgVarLoc} >>$CONF
